#!/usr/bin/perl

use Test::More qw(no_plan);
use Ewok::Filter qw(filter);
use Ewok::Filter::HTML;
use strict;

# my $tdir = 't01';
my $tdir = 't10';
die "missing test dir $tdir" unless -d $tdir;

my @tf;
for (@ARGV) {
    s!^$tdir/!!;
    push @tf, $_ if -f "$tdir/$_";
}

unless (@tf) {
    opendir TD, $tdir or die "open of test dir $tdir failed: $!";
    @tf = sort grep { ! /^\./ && ! m/^out$/ } readdir TD;
    closedir TD;
}

sub slurp {
    my $file = shift;
    open TF, "<$file" or die "cannot open $file: $!";
    my $content;
    {
        local $/ = undef;
        $content = <TF>;
    }
    close TF;
    return $content;
}

for my $tf (@tf) {
    my $content = slurp "$tdir/$tf";
    my $output = filter($content, 'StandardTextHTML');
    ok($output, "filtered $tf ok");

    if (-f "$tdir/out/$tf") {
        my $outfile = slurp "$tdir/out/$tf";    
        is($output, $outfile, "filtered $tf correct");
    }
    # If no output file found, then dump and exit
    else {
        print "\nWarning: missing $tdir/out/$tf:\n\n";
        print $output;
        exit;
    }
}


# arch-tag: 937677a4-4671-4cfa-82e9-71b1394d8af9
