#!/usr/bin/perl

use Test::More qw(no_plan);
use Ewok::Filter qw(filter);
use Ewok::Filter::HTML;
use strict;

my $tdir = 't11';
die "missing test dir $tdir" unless -d $tdir;

opendir TD, $tdir or die "open of test dir $tdir failed: $!";
my @tf = sort grep { ! /^\./ && ! m/^out$/ } readdir TD;
closedir TD;

sub slurp {
    my $file = shift;
    open TF, "<$file" or die "cannot open $file: $!";
    my $content;
    {
        local $/ = undef;
        $content = <TF>;
    }
    close TF;
    return $content;
}

for my $tf (@tf) {
    my $content = slurp "$tdir/$tf";
    my $output = filter($content, 'StandardTextHTML');
    ok($output, "filtered $tf ok");

    if (-f "$tdir/out/$tf") {
        my $outfile = slurp "$tdir/out/$tf";    
        is($output, $outfile, "filtered $tf correct");
    }
    # If no output file found, then dump and exit
    else {
        print $output;
        exit;
    }
}


# arch-tag: e8653f77-3272-4009-b859-67af57d1f6a1
